// creator  : weidu.exe (version 23600)
// argument : FTOWB7.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~FTOWB7~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 3 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #8818 /* ~Surely there are more interesting places for you to be. This is but a simple common home.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 3 even though they appear after this state */
~  NumberOfTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #8819 /* ~All the homes in Baldur's Gate are well protected. Please behave accordingly.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from:
  SAY #8820 /* ~Help! I am violated in my own home!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #8821 /* ~I wish I was up to making a fine supper for the lot of you, but I've only enough for my family. Perhaps you'd stay and enjoy the comforts of my humble home? It seems to me though, that you're not the type to have time for rest. I wish you the best.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~  ReputationLT(Player1,3)
~ THEN BEGIN 4 // from:
  SAY #8997 /* ~I'll not speak a word after what you did!~ */
  IF ~~ THEN EXIT
END
